Bug 15649 - (Needs test) empty STYLE elements are not reflected into the document.styleSheets object
Summary: (Needs test) empty STYLE elements are not reflected into the document.styleSh...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Alexey Proskuryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-23 17:11 PDT by Kevin Decker
Modified: 2011-01-23 13:08 PST (History)
3 users (show)

See Also:


Attachments
test case (294 bytes, text/html)
2007-10-26 10:34 PDT, Alexey Proskuryakov
no flags Details
proposed patch (2.44 KB, patch)
2011-01-21 20:10 PST, Alexey Proskuryakov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Decker 2007-10-23 17:11:39 PDT
empty STYLE elements are not reflected into the document.styleSheets object.
Comment 1 Alexey Proskuryakov 2007-10-26 10:34:01 PDT
Created attachment 16883 [details]
test case

I cannot reproduce this bug with r26989.
Comment 2 Alexey Proskuryakov 2010-11-30 12:30:39 PST
Should just land the test.
Comment 3 Alexey Proskuryakov 2011-01-21 20:10:13 PST
Created attachment 79820 [details]
proposed patch
Comment 4 Eric Seidel (no email) 2011-01-22 15:08:40 PST
Comment on attachment 79820 [details]
proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=79820&action=review

> LayoutTests/fast/dom/document-stylesheets-empty-style-expected.txt:10
>  Added: svn:eol-style
>    + native

Do you mean for this to be native?
Comment 5 Alexey Proskuryakov 2011-01-22 15:14:26 PST
> Do you mean for this to be native?

Dunno, this is just the default I happen to have in SVN config. Didn't seem to cause problems so far.
Comment 6 WebKit Commit Bot 2011-01-23 13:08:50 PST
Comment on attachment 79820 [details]
proposed patch

Clearing flags on attachment: 79820

Committed r76468: <http://trac.webkit.org/changeset/76468>
Comment 7 WebKit Commit Bot 2011-01-23 13:08:55 PST
All reviewed patches have been landed.  Closing bug.